NetworkTopologyEventImpl
Date: 2017-02-10

javax.jmdns.impl

## Class NetworkTopologyEventImpl

- java.lang.Object
- - java.util.EventObject
  - - javax.jmdns.NetworkTopologyEvent
    - - javax.jmdns.impl.NetworkTopologyEventImpl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class NetworkTopologyEventImpl
      extends NetworkTopologyEvent
      implements java.lang.Cloneable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkTopologyEventImpl(JmDNS jmDNS, java.net.InetAddress inetAddress)` Constructs a Network Topology Event.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NetworkTopologyEventImpl` | `clone()`
    `JmDNS` | `getDNS()` Returns the JmDNS instance associated with the event or null if it is a generic event.
    `java.net.InetAddress` | `getInetAddress()` The Internet address affected by this event.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NetworkTopologyEventImpl

          public NetworkTopologyEventImpl(JmDNS jmDNS,
                                  java.net.InetAddress inetAddress)

      Constructs a Network Topology Event.
      Parameters:
        `jmDNS` -
        `inetAddress` -
      Throws:
        `java.lang.IllegalArgumentException` - if source is null.

  - ### Method Detail

    - #### getDNS

          public JmDNS getDNS()

      Description copied from class: `NetworkTopologyEvent`
      Returns the JmDNS instance associated with the event or null if it is a generic event.
      Specified by:
        `getDNS` in class `NetworkTopologyEvent`
      Returns:
        JmDNS instance

    - #### getInetAddress

          public java.net.InetAddress getInetAddress()

      Description copied from class: `NetworkTopologyEvent`
      The Internet address affected by this event.
      Specified by:
        `getInetAddress` in class `NetworkTopologyEvent`
      Returns:
        InetAddress

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.EventObject`

    - #### clone

          public NetworkTopologyEventImpl clone()
                                         throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`